aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh16
-rw-r--r--configure.ac10
2 files changed, 6 insertions, 20 deletions
diff --git a/autogen.sh b/autogen.sh
index e0f7942..d1443b9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,16 +1,12 @@
#!/bin/bash
-set -e
set -x
-OLDPWD=$(pwd)
-cd $(dirname $0)
-test -f Makefile && make distclean
+if ! autoreconf -fi; then
+ aclocal
+ autoheader
+ automake --force-missing --add-missing
+ autoconf
+fi
-aclocal
-autoheader
-automake --force-missing --add-missing
-autoconf
-
-cd ${OLDPWD}
$(dirname $0)/configure $@ && make -j${BUILDJOBS:-4} all
diff --git a/configure.ac b/configure.ac
index a96a2fc..020a03e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -5,16 +5,6 @@ AC_CONFIG_FILES([Makefile src/Makefile])
AC_CANONICAL_BUILD
AC_CANONICAL_HOST
-if test x"$cross_compiling" != x"no"; then
- HOST_PREFIX="${host_alias}-"
- HOST_SUFFIX="-$host_alias"
- if test x"${build_alias}" = x; then
- AC_MSG_ERROR([Cross compile enabled but no --build *explicitly* specified. For example: --build=$(gcc -dumpmachine)])
- fi
-else
- HOST_PREFIX=
- HOST_SUFFIX=
-fi
case x"${host}" in
x*-*-cygwin* | x*-*-mingw32*)
dnl Some Windows includes required by third-party modules.